Cyberduck Mountain Duck CLI

#8018 closed defect (duplicate)

Interoperability with fatcow FTP Server

Reported by: christi milligan Owned by: dkocher
Priority: normal Milestone: 4.5
Component: ftp Version: 4.4.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

For some unknown reason, Cyberduck will not allow me into certain folders. This is the latest error code (see subject line) and here are the logs:

NOOP
200 NOOP command successful
CWD /tpcchurch/bridge-files
200 NOOP command successful
TYPE A
250 CWD command successful
PASV
200 Type set to A
PORT 10,7,8,226,242,146
227 Entering Passive Mode (65,254,248,219,178,208)
MLSD
200 PORT command successful

What do I need to do to get full access to my web host files? A bit earlier, I was getting a 250 CWD Connection Failed error. I never used to have this problem a few weeks ago (three versions ago or so). I just upgraded to the latest version which fixed the original 250 error but now I'm getting 200.

Change History (7)

comment:1 Changed on Jun 13, 2014 at 4:56:19 PM by christi milligan

Here's the full log:

220 fatcow FTP Server Ready
USER tpcc
331 Password required for tpcc
PASS ********
230 User tpcc logged in
FEAT
211-Features:
 SITE UTIME
 MDTM
 SITE RMDIR
 TVFS
 SITE COPY
 MFMT
 SIZE
 SITE MKDIR
 MFF modify;UNIX.group;UNIX.mode;
 REST STREAM
 MLST modify*;perm*;size*;type*;unique*;UNIX.group*;UNIX.mode*;UNIX.owner*;
 UTF8
 LANG en-US*
 EPRT
 SITE SYMLINK
 EPSV
211 End
OPTS UTF8 ON
200 UTF8 set to on
SYST
215 UNIX Type: L8
STAT /
212-Status of /:
 drwxr-x---  17 1097218  15000          44 May 21 16:36 .
 drwxr-x---  17 1097218  15000          44 May 21 16:36 ..
 drwxr-xr-x   2 1097218  15000           4 Dec 22  2008 Library
 drwxr-xr-x   2 1097218  15000           4 Mar 10  2009 Templates
 drwxr-xr-x   2 1097218  15000           6 Dec 22  2008 _textFiles
 drwxr-xr-x   5 1097218  15000           5 Apr 28  2009 assets
 drwxr-xr-x   3 1097218  15000           3 Aug  6  2008 cgi-bin
 drwxr-xr-x   2 1097218  15000          16 Mar 10  2009 css
 drwxr-xr-x   3 1097218  15000           4 Apr 14  2009 happenings
 drwxr-x---   2 1097218  15000           2 Apr 22  2009 listmanager
 drwxr-xr-x   2 1097218  15000         280 Apr  2 16:32 podcasts
 drwxrwxrwx   2 1097218  15000           4 Aug  6  2008 poll
 drwxr-xr-x   2 1097218  15000           8 Dec 22  2008 scripts
 drwxrwxrwx   2 1097218  15000         618 Jun 13 06:32 stats
 drwxrwxrwx   2 1097218  15000           4 Aug  6  2008 survey
 drwxr-xr-x  18 1097218  15000          26 Jun 10 00:39 tpcchurch
 drwxr-xr-x   2 1097218  15000           3 May 21 16:36 tpccommunities.com-redirect
 End of status
212 -rwxrwxr-x   1 99       15000           3 Aug  6  2008 .membership
NOOP
213--rw-r--r--   1 1097218  15000       22530 Oct 11  2013 about.html
 -rw-r--r--   1 1097218  15000          30 Sep  3  2008 about.html.LCK
 -rw-r--r--   1 1097218  15000        5187 Mar 10  2009 contact.html
 -rw-r--r--   1 1097218  15000          30 Sep  3  2008 contact.html.LCK
 -rw-r--r--   1 1097218  15000        5158 Mar 10  2009 events.html
 -rw-r--r--   1 1097218  15000          30 Mar 10  2009 events.html.LCK
 -rw-r--r--   1 1097218  15000        3638 Aug 11  2008 favicon.ico
 -rw-r--r--   1 1097218  15000          30 Aug 11  2008 favicon.ico.LCK
 -rw-r--r--   1 1097218  15000        5054 Mar 10  2009 help.html
 -rw-r--r--   1 1097218  15000          30 Sep  3  2008 help.html.LCK
 -rw-r--r--   1 1097218  15000       17129 Mar 12 14:31 index.html
 -rw-r--r--   1 1097218  15000          30 Dec 22  2008 index.html.LCK
 -rw-r--r--   1 1097218  15000       17880 Oct 11  2013 resources.html
 -rw-r--r--   1 1097218  15000          30 Sep  3  2008 resources.html.LCK
 -rw-r--r--   1 1097218  15000        4450 Jan  5  2009 style-OLD.css
 -rw-r--r--   1 1097218  15000          30 Jan  5  2009 style-OLD.css.LCK
 -rw-r--r--   1 1097218  15000        4501 Jan  6  2009 style.css
 -rw-r--r--   1 1097218  15000          30 Aug 11  2008 style.css.LCK
 -rw-r--r--   1 1097218  15000       20056 Dec  4  2012 tpc_podcast_logo.jpg
 -rw-r--r--   1 1097218  15000       23964 Dec  4  2012 tpc_podcast_logo_144.jpg
 -rw-r--r--   1 1097218  15000       13794 Oct 11  2013 villages.html
 -rw-r--r--   1 1097218  15000          30 Mar 10  2009 villages.html.LCK
 -rw-r--r--   1 1097218  15000        8270 Jun 23  2009 voices.html
 -rw-r--r--   1 1097218  15000          30 Sep  3  2008 voices.html.LCK
 -rw-r--r--   1 1097218  15000        5062 Mar 10  2009 youth.html
213 -rw-r--r--   1 1097218  15000          30 Sep  3  2008 youth.html.LCK
STAT /tpcchurch
200 NOOP command successful
CWD /tpcchurch
212-Status of /tpcchurch:
 drwxr-xr-x  18 1097218  15000          26 Jun 10 00:39 .
 drwxr-x---  17 1097218  15000          44 May 21 16:36 ..
 drwxr-xr-x   3 1097218  15000           3 Jun 10 00:39 bridge-files
 drwxr-xr-x   5 1097218  15000           8 Jan 17 14:29 connect
 drwxr-xr-x   3 1097218  15000           6 Nov  7  2013 contact-form
 drwxr-xr-x   8 1097218  15000          23 Feb  5 21:45 error
 drwxr-xr-x   5 1097218  15000          21 Apr 17 14:12 files
 drwxr-xr-x   3 1097218  15000           6 Jan 17 18:36 give
 drwxr-xr-x   4 1097218  15000           5 Jan 17 14:38 grow
 drwxr-xr-x   4 1097218  15000           7 Apr 18 05:33 guests
 drwxr-xr-x   3 1097218  15000           6 Jan 15 16:14 map
 drwxr-xr-x   4 1097218  15000          86 Jun 11 13:34 podcasts
 drwxr-xr-x   2 1097218  15000           5 Oct 30  2013 resources
 drwxr-xr-x   4 1097218  15000           5 Oct 30  2013 rw_common
 drwxr-xr-x   3 1097218  15000           4 Oct 30  2013 sidebar
 drwxr-xr-x   3 1097218  15000           4 Oct 30  2013 sitemap
 drwxr-xr-x   9 1097218  15000          12 Mar 20 16:12 who-we-are
 drwxr-xr-x   3 1097218  15000           5 May 30 20:39 worship
 End of status
212 -rw-r--r--   1 1097218  15000        1546 Jan 22 18:19 .htaccess
TYPE A
213--rw-r--r--   1 1097218  15000       16958 Jun 12 19:39 favicon.ico
 -rw-r--r--   1 1097218  15000        4342 Apr  2 20:39 global_import_stacks_stacks_in_613_page3.cache
 -rw-r--r--   1 1097218  15000          10 Apr  2 20:39 global_import_stacks_stacks_in_613_page3.mtime
 -rw-r--r--   1 1097218  15000          53 Jan 22 17:28 googled50ef7074e020566.html
 -rw-r--r--   1 1097218  15000       18885 May 28 19:45 index.php
 -rw-r--r--   1 1097218  15000          43 May 30 19:37 robots.txt
213 -rw-r--r--   1 1097218  15000        1812 May 30 19:37 sitemap.xml
PASV
250 CWD command successful
PORT 10,7,8,226,241,119
200 Type set to A
MLSD
503 Entering Passive Mode (65,254,248,219,178,252)
NOOP
200 PORT command successful
220 fatcow FTP Server Ready
USER tpcc
331 Password required for tpcc
PASS ********
230 User tpcc logged in
FEAT
211-Features:
 EPSV
 SITE UTIME
 MDTM
 SITE RMDIR
 TVFS
 SITE COPY
 MFMT
 SIZE
 SITE MKDIR
 MFF modify;UNIX.group;UNIX.mode;
 REST STREAM
 MLST modify*;perm*;size*;type*;unique*;UNIX.group*;UNIX.mode*;UNIX.owner*;
 UTF8
 LANG en-US*
 EPRT
 SITE SYMLINK
211 End
OPTS UTF8 ON
200 UTF8 set to on
SYST
215 UNIX Type: L8
STAT /tpcchurch
212-Status of /tpcchurch:
 drwxr-xr-x  18 1097218  15000          26 Jun 10 00:39 .
 drwxr-x---  17 1097218  15000          44 May 21 16:36 ..
 drwxr-xr-x   3 1097218  15000           3 Jun 10 00:39 bridge-files
 drwxr-xr-x   5 1097218  15000           8 Jan 17 14:29 connect
 drwxr-xr-x   3 1097218  15000           6 Nov  7  2013 contact-form
 drwxr-xr-x   8 1097218  15000          23 Feb  5 21:45 error
 drwxr-xr-x   5 1097218  15000          21 Apr 17 14:12 files
 drwxr-xr-x   3 1097218  15000           6 Jan 17 18:36 give
 drwxr-xr-x   4 1097218  15000           5 Jan 17 14:38 grow
 drwxr-xr-x   4 1097218  15000           7 Apr 18 05:33 guests
 drwxr-xr-x   3 1097218  15000           6 Jan 15 16:14 map
 drwxr-xr-x   4 1097218  15000          86 Jun 11 13:34 podcasts
 drwxr-xr-x   2 1097218  15000           5 Oct 30  2013 resources
 drwxr-xr-x   4 1097218  15000           5 Oct 30  2013 rw_common
 drwxr-xr-x   3 1097218  15000           4 Oct 30  2013 sidebar
 drwxr-xr-x   3 1097218  15000           4 Oct 30  2013 sitemap
 drwxr-xr-x   9 1097218  15000          12 Mar 20 16:12 who-we-are
 drwxr-xr-x   3 1097218  15000           5 May 30 20:39 worship
 End of status
212 -rw-r--r--   1 1097218  15000        1546 Jan 22 18:19 .htaccess
NOOP
213--rw-r--r--   1 1097218  15000       16958 Jun 12 19:39 favicon.ico
 -rw-r--r--   1 1097218  15000        4342 Apr  2 20:39 global_import_stacks_stacks_in_613_page3.cache
 -rw-r--r--   1 1097218  15000          10 Apr  2 20:39 global_import_stacks_stacks_in_613_page3.mtime
 -rw-r--r--   1 1097218  15000          53 Jan 22 17:28 googled50ef7074e020566.html
 -rw-r--r--   1 1097218  15000       18885 May 28 19:45 index.php
 -rw-r--r--   1 1097218  15000          43 May 30 19:37 robots.txt
213 -rw-r--r--   1 1097218  15000        1812 May 30 19:37 sitemap.xml
STAT /tpcchurch/bridge-files
200 NOOP command successful
CWD /tpcchurch/bridge-files
212-Status of /tpcchurch/bridge-files:
 drwxr-xr-x   3 1097218  15000           3 Jun 10 00:39 .
 drwxr-xr-x  18 1097218  15000          26 Jun 10 00:39 ..
 drwxr-xr-x   2 1097218  15000          12 Jun 10 00:39 Sponsorship.hyperesources
212 End of status
TYPE A
250 CWD command successful
PASV
200 Type set to A
PORT 10,7,8,226,242,139
227 Entering Passive Mode (65,254,248,219,189,57)
MLSD
200 PORT command successful
NOOP
425 Unable to build data connection: Connection refused
NOOP
200 NOOP command successful
CWD /tpcchurch/bridge-files
200 NOOP command successful
TYPE A
250 CWD command successful
PASV
200 Type set to A
PORT 10,7,8,226,242,146
227 Entering Passive Mode (65,254,248,219,178,208)
MLSD
200 PORT command successful
220 fatcow FTP Server Ready
USER tpcc
331 Password required for tpcc
PASS ********
230 User tpcc logged in
FEAT
211-Features:
 MFF modify;UNIX.group;UNIX.mode;
 REST STREAM
 MLST modify*;perm*;size*;type*;unique*;UNIX.group*;UNIX.mode*;UNIX.owner*;
 UTF8
 LANG en-US*
 EPRT
 SITE SYMLINK
 EPSV
 SITE UTIME
 MDTM
 SITE RMDIR
 TVFS
 SITE COPY
 MFMT
 SIZE
 SITE MKDIR
211 End
OPTS UTF8 ON
200 UTF8 set to on
SYST
215 UNIX Type: L8
Last edited on Jun 15, 2014 at 6:41:53 AM by dkocher (previous) (diff)

comment:2 Changed on Jun 15, 2014 at 12:20:32 AM by osushko

I'm having these same issues .... just started a few weeks ago. Was on 4.4.4 - them moved to 4.4.5 and still the same ...

comment:3 Changed on Jun 15, 2014 at 6:51:26 AM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher

comment:4 Changed on Jun 15, 2014 at 7:00:58 AM by dkocher

  • Description modified (diff)

comment:5 Changed on Jun 16, 2014 at 3:43:12 PM by dkocher

  • Milestone set to 4.5
  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #8006.

comment:6 Changed on Jun 16, 2014 at 3:49:46 PM by dkocher

Please update to the latest snapshot build available.

comment:7 Changed on Jun 16, 2014 at 4:17:25 PM by dkocher

  • Summary changed from 200 Type set to A. Connection Failed to Interoperability with fatcow FTP Server
Note: See TracTickets for help on using tickets.
swiss made software